### This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

import sos.plugintools

class tomcat(sos.plugintools.PluginBase):
    """Tomcat related information
    """

    packages = ('tomcat6',)

    def setup(self):
        self.addCopySpec("/etc/tomcat6")
        self.addCopySpec("/var/log/tomcat6/catalina.out")
        return

    def postproc(self):
        self.doRegexSub(
            "/etc/tomcat6/tomcat-users.xml",
            r"password=(\S*)",
            r'password="********"'
        )

